Name:		intel-mlsl
Version:	2018.3
Release:	1%{?dist}
Summary:	Efficient implementation of communication patterns used in deep learning
License:	ASL 2.0
URL:		https://github.com/intel/MLSL
Source0:	https://github.com/intel/MLSL/archive/IntelMLSL-v%version-Preview.tar.gz
BuildRequires:	gcc-c++

%global desc \
Intel(R) Machine Learning Scaling Library (Intel(R) MLSL) is a library\
providing an efficient implementation of communication patterns used\
in deep learning.\
\
- Built on top of MPI, allows for use of other communication libraries\
- Optimized to drive scalability of communication patterns\
- Works across various interconnects: Intel(R) Omni-Path Architecture,\
  InfiniBand, and Ethernet\
- Common API to support Deep Learning frameworks (Caffe, Theano, Torch, etc.)

%description
%desc

%package openmpi
Summary:	Efficient implementation of communication patterns used in deep learning - openmpi
BuildRequires:	openmpi-devel

%description openmpi
%desc


%prep
%setup -q -n MLSL-IntelMLSL-v%version-Preview


%build
%global _smp_mflags %nil
%_openmpi_load
%make_build MPIRT=openmpi EXTRA_CFLAGS='%build_cflags' EXTRA_LDFLAGS='%build_ldflags'


%install
%_openmpi_load
%make_install


%files
%license LICENSE
%doc doc/*



%changelog
* Thu Jun 27 2019  <loveshack@fedoraproject.org> - 2018.3-1
- Initial packaging
